iom_abort(3)

NAME
iom_abort - abort all pending iom_wait calls

SYNTAX
#include <libowfat/io.h> int iom_abort(iomux_t* c);

DESCRIPTION
iom_abort will cause all currently running instances of iom_wait to return immediately with return value -2.

LINKING
You may have to add -lpthread to the command line in the linking step.

RETURN VALUE
iom_abort returns 0 on success and -1 on error, setting errno.

SEE ALSO
iom_init, iom_add, iom_wait